- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- File List
- Globals

Data Structures | Macros | Typedefs | Functions
dlfcn.h File Reference

The file that provides functions to manage dynamic-link libraries. More...

## Data Structures
struct | Dl_info
| A structure that stores infomation of a calling process. More...

## Macros
#define | RTLD_LAZY 0x00001 /* lazy function call binding */
| Lazy function call binding.
#define | RTLD_NOW 0x00002 /* immediate function call binding */
| Immediate function call binding.
#define | RTLD_GLOBAL
| Symbols in this dlopen'ed obj are visible to other dlopen'ed objs. More...
#define | RTLD_NODELETE 0x01000 /* do not delete object when closed. */
| Symbols are not deleted when closed.
#define | RTLD_DEFAULT ((void*)1) /* search the symbol on all the DLL of the current process */
| Symbols are searched in all the DLL opened by the current process.

## Typedefs
typedef struct Dl_info | Dl_info
| A structure that stores infomation of a calling process.

## Functions
EAPI void * | dlopen (const char *path, int mode)
| Map a specified executable module (either a .dll or .exe file) into the address space of the user process. More...
EAPI int | dlclose (void *handle)
| Close a dynamic-link library. More...
EAPI void * | dlsym (void *handle, const char *symbol)
| Get the address of a symbol. More...
EAPI int | dladdr (const void *addr, Dl_info *info)
| Get the location of the current process (.exe) More...
EAPI char * | dlerror (void)
| Get diagnostic information. More...

## Detailed Description

The file that provides functions to manage dynamic-link libraries.

## Macro Definition Documentation

#define RTLD_GLOBAL

Value:
0x00100 /* symbols in this dlopen'ed obj are visible
to other dlopen'ed objs */

Symbols in this dlopen'ed obj are visible to other dlopen'ed objs.

Referenced by ecore_x_init(), and eina_module_load().